# Message_Queue.h File Reference

`#include "ace/Message_Block.h"`
`#include "ace/IO_Cntl_Msg.h"`
`#include "ace/Message_Queue_T.h"`
`#include "ace/Message_Queue.inl"`

Include dependency graph for Message_Queue.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Message_Queue_Base
| Base class for ACE_Message_Queue, which is the central queueing facility for messages in the ACE framework. More...

## Detailed Description

Id
  Message_Queue.h,v 4.85 2006/02/10 10:03:18 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>